## r-cran-lpsolve 5.5.8

=== DESCRIPTION ===
Package: lpSolve
Version: 5.5.8
Date: 2007-09-14
Title: Interface to Lp_solve v. 5.5 to solve linear/integer programs
Author: Michel Berkelaar and others
Maintainer: Sam Buttrey <buttrey@nps.navy.mil>
Description: Lp_solve is freely available (under LGPL 2) software for
    solving linear, integer and mixed integer programs. In this implementation
    we supply a "wrapper" function in C and some R functions that solve
    general linear/integer problems, assignment problems, and transportation
    problems. This version calls lp_solve version 5.5.
License: LGPL version 2
Packaged: Fri Sep 14 11:14:52 2007; sebuttre

## r-cran-lpsolve 5.6.7

=== DESCRIPTION ===
Package: lpSolve
Version: 5.6.7
Date: 2011-04-19
Title: Interface to Lp_solve v. 5.5 to solve linear/integer programs
Author: Michel Berkelaar and others
Maintainer: ORPHANED
Description: Lp_solve is freely available (under LGPL 2) software for
        solving linear, integer and mixed integer programs. In this
        implementation we supply a "wrapper" function in C and some R
        functions that solve general linear/integer problems,
        assignment problems, and transportation problems. This version
        calls lp_solve version 5.5.
License: LGPL-2
Packaged: 2013-03-23 07:07:38 UTC; ripley
Repository: CRAN
Date/Publication: 2013-03-23 08:30:41
NeedsCompilation: yes
X-CRAN-Original-Maintainer: Sam Buttrey <buttrey@nps.edu>
X-CRAN-Comment: Orphaned on 2013-03-23 as the maintainer is
        unresponsive.

## r-cran-lpsolve 5.6.13

=== DESCRIPTION ===
Package: lpSolve
Version: 5.6.13
Date: 2015-09-18
Title: Interface to 'Lp_solve' v. 5.5 to Solve Linear/Integer Programs
Author: Michel Berkelaar and others
Maintainer: Samuel E. Buttrey <buttrey@nps.edu>
Description: Lp_solve is freely available (under LGPL 2) software for
        solving linear, integer and mixed integer programs. In this
        implementation we supply a "wrapper" function in C and some R
        functions that solve general linear/integer problems,
        assignment problems, and transportation problems. This version
        calls lp_solve version 5.5.
License: LGPL-2
NeedsCompilation: yes
Packaged: 2015-09-18 22:53:52 UTC; sebuttre
Repository: CRAN
Date/Publication: 2015-09-19 10:00:23

## r-cran-lpsolve 5.6.13.2

=== debian/changelog ===
r-cran-lpsolve (5.6.13.2-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 06 Aug 2019 20:40:10 -0500

r-cran-lpsolve (5.6.13.1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to 'debhelper (>= 10)'
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/control: Switch from cdbs to dh-r
  * debian/compat: Increase level to 10
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 02 Jun 2019 10:39:57 -0500

r-cran-lpsolve (5.6.13-3) unstable; urgency=medium

  * Rebuilt under R 3.4.0 to update registration for .C() and .Fortran()
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Add Depends: on ${misc:Depends}

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 04 Jun 2017 12:11:12 -0500

r-cran-lpsolve (5.6.13-2) unstable; urgency=medium

  * debian/compat: Created			(Closes: #830264)
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 07 Jul 2016 17:48:46 -0500

r-cran-lpsolve (5.6.13-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 22 Sep 2015 17:01:09 -0500

r-cran-lpsolve (5.6.12-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 01 Sep 2015 14:46:47 -0500

r-cran-lpsolve (5.6.11-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 06 Apr 2015 21:52:26 -0500

r-cran-lpsolve (5.6.10-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 27 Jul 2014 09:13:21 -0500

r-cran-lpsolve (5.6.9-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 20 Jun 2014 07:33:39 -0500

r-cran-lpsolve (5.6.8-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 29 Apr 2014 07:26:20 -0500

r-cran-lpsolve (5.6.7-3) unstable; urgency=low

  * src/commonlib.c: Added format field to fprintf() use with constant strings
							  (Closes: #746124)
  * src/lpreport.c: Idem
                                                          
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 27 Apr 2014 15:36:50 -0500

r-cran-lpsolve (5.6.7-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0 (beta)
  
  * debian.control: Removed 'r-base-core (>= 2.15.3)' no longer needed as
    ${R:Depends} is used

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 31 Mar 2013 10:09:42 -0500

r-cran-lpsolve (5.6.7-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 23 Mar 2013 12:05:19 -0500

r-cran-lpsolve (5.6.6-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 27 Apr 2011 08:54:03 -0500

r-cran-lpsolve (5.6.5-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 07 Aug 2010 12:58:45 -0500

r-cran-lpsolve (5.6.4-2) unstable; urgency=low

  * Rebuilt for R 2.10.0 to work with new R-internal help file conversion

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  
  * debian/control: Changed Section: to section 'gnu-r'

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 01 Nov 2009 19:15:23 -0600

r-cran-lpsolve (5.6.4-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version 2.7.2
  * debian/control: Set Standards-Version: to current version 3.8.0
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 31 Aug 2008 10:59:21 -0500

r-cran-lpsolve (5.6.3-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 07 Jun 2008 10:00:01 -0500

r-cran-lpsolve (5.6.2-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 07 May 2008 09:19:11 -0500

r-cran-lpsolve (5.6.1-1) unstable; urgency=low

  * New upstream release

  * Rebuilding under the current R version
  * debian/control: Updated (Build-)Depends accordingly

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 29 Apr 2008 15:37:50 -0500

r-cran-lpsolve (5.5.8-1) unstable; urgency=low

  * Initial Debian release
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 16 Oct 2007 21:54:52 -0500

=== debian/control ===
Source: r-cran-lpsolve
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.1), dh-r
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-lpsolve
Vcs-Git: https://salsa.debian.org/edd/r-cran-lpsolve.git
Homepage: https://cran.r-project.org/package=lpSolve

Package: r-cran-lpsolve
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}
Description: GNU R package providing linear program solvers
 This package provides functions for solving linear, integer and 
 mixed integer programs.

## r-cran-lpsolve 5.6.15

=== DESCRIPTION ===
Package: lpSolve
Version: 5.6.15
Title: Interface to 'Lp_solve' v. 5.5 to Solve Linear/Integer Programs
Author: Michel Berkelaar and others
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Description: Lp_solve is freely available (under LGPL 2) software for
        solving linear, integer and mixed integer programs. In this
        implementation we supply a "wrapper" function in C and some R
        functions that solve general linear/integer problems,
        assignment problems, and transportation problems. This version
        calls lp_solve version 5.5.
License: LGPL-2
URL: https://github.com/gaborcsardi/lpSolve
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2020-01-24 12:33:04 UTC; gaborcsardi
Repository: CRAN
Date/Publication: 2020-01-24 22:20:02 UTC

=== debian/changelog ===
r-cran-lpsolve (5.6.15-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 25 Jan 2020 17:31:59 -0600

r-cran-lpsolve (5.6.13.3-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 23 Aug 2019 19:09:25 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.1), dh-r
-Standards-Version: 4.4.0
+Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.2), dh-r
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-lpsolve
 Vcs-Git: https://salsa.debian.org/edd/r-cran-lpsolve.git
 Homepage: https://cran.r-project.org/package=lpSolve

## r-cran-lpsolve 5.6.18

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: lpSolve
-Version: 5.6.15
+Version: 5.6.18
 Title: Interface to 'Lp_solve' v. 5.5 to Solve Linear/Integer Programs
 Author: Michel Berkelaar and others
 Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
@@ -13,6 +13,6 @@
 URL: https://github.com/gaborcsardi/lpSolve
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2020-01-24 12:33:04 UTC; gaborcsardi
+Packaged: 2023-02-01 19:48:29 UTC; gaborcsardi
 Repository: CRAN
-Date/Publication: 2020-01-24 22:20:02 UTC
+Date/Publication: 2023-02-01 20:30:02 UTC

=== debian/changelog ===
r-cran-lpsolve (5.6.18-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 01 Feb 2023 15:06:32 -0600

r-cran-lpsolve (5.6.17-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 11 Oct 2022 22:53:16 -0500

r-cran-lpsolve (5.6.16-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 10 Sep 2022 08:13:54 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 10), r-base-dev (>= 3.6.2), dh-r
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-lpsolve
 Vcs-Git: https://salsa.debian.org/edd/r-cran-lpsolve.git
 Homepage: https://cran.r-project.org/package=lpSolve

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-lpsolve package
# Copyright 2004-2019 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## r-cran-lpsolve 5.6.20

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: lpSolve
-Version: 5.6.18
+Version: 5.6.20
 Title: Interface to 'Lp_solve' v. 5.5 to Solve Linear/Integer Programs
 Author: Michel Berkelaar and others
 Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
@@ -11,8 +11,9 @@
         calls lp_solve version 5.5.
 License: LGPL-2
 URL: https://github.com/gaborcsardi/lpSolve
+BugReports: https://github.com/gaborcsardi/lpSolve/issues
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2023-02-01 19:48:29 UTC; gaborcsardi
+Packaged: 2023-12-10 12:59:14 UTC; gaborcsardi
 Repository: CRAN
-Date/Publication: 2023-02-01 20:30:02 UTC
+Date/Publication: 2023-12-10 13:40:02 UTC

=== debian/changelog ===
r-cran-lpsolve (5.6.20-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 13 Dec 2023 07:55:30 -0600

r-cran-lpsolve (5.6.19-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 19 Sep 2023 20:18:24 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.2), dh-r
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-lpsolve
 Vcs-Git: https://salsa.debian.org/edd/r-cran-lpsolve.git

## r-cran-lpsolve 5.6.21

=== DESCRIPTION ===
Package: lpSolve
Version: 5.6.21
Title: Interface to 'Lp_solve' v. 5.5 to Solve Linear/Integer Programs
Authors@R: c(
    person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", role = "cre"),
    person("Michel", "Berkelaar", role = "aut")
  )
Description: Lp_solve is freely available (under LGPL 2) software for
        solving linear, integer and mixed integer programs. In this
        implementation we supply a "wrapper" function in C and some R
        functions that solve general linear/integer problems,
        assignment problems, and transportation problems. This version
        calls lp_solve version 5.5.
License: LGPL-2
URL: https://github.com/gaborcsardi/lpSolve
BugReports: https://github.com/gaborcsardi/lpSolve/issues
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2024-09-12 09:32:12 UTC; gaborcsardi
Author: Gábor Csárdi [cre],
  Michel Berkelaar [aut]
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Repository: CRAN
Date/Publication: 2024-09-12 17:40:37 UTC

=== debian/changelog ===
r-cran-lpsolve (5.6.21-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 15 Sep 2024 07:04:03 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.2), dh-r
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), dh-r
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-lpsolve
 Vcs-Git: https://salsa.debian.org/edd/r-cran-lpsolve.git

## r-cran-lpsolve 5.6.23

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: lpSolve
-Version: 5.6.21
+Version: 5.6.23
 Title: Interface to 'Lp_solve' v. 5.5 to Solve Linear/Integer Programs
 Authors@R: c(
     person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", role = "cre"),
@@ -16,9 +16,9 @@
 BugReports: https://github.com/gaborcsardi/lpSolve/issues
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2024-09-12 09:32:12 UTC; gaborcsardi
+Packaged: 2024-12-13 22:30:07 UTC; gaborcsardi
 Author: Gábor Csárdi [cre],
   Michel Berkelaar [aut]
 Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
 Repository: CRAN
-Date/Publication: 2024-09-12 17:40:37 UTC
+Date/Publication: 2024-12-14 00:30:02 UTC

=== debian/changelog ===
r-cran-lpsolve (5.6.23-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 13 Dec 2024 19:10:52 -0600

r-cran-lpsolve (5.6.22-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 11 Nov 2024 13:13:29 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.1), dh-r
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.2), dh-r
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-lpsolve
 Vcs-Git: https://salsa.debian.org/edd/r-cran-lpsolve.git
 Homepage: https://cran.r-project.org/package=lpSolve

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/lpSolve_([-\d\.]*)\.tar.gz
